Help - Search - Members - Calendar
Full Version: Installing FR4 with TeeChart Pro
Fast Reports forum > Fast Reports Products > FastReport 4.0
AlexTZ
Installing the FastReport with TeeChart Pro

Run "recompile.exe" and perform the following steps:
1. Select Delphi version
2. Select FR edition
3. Select TeeChart version
4. Click "Browse" button and select path to your TeeChart Pro .dcu files
(typically C:\Program Files\Steema Software\TeeChart X for Delphi X\DelphiX\Lib)
5. Select "Change TeeChart version"
6. Click "Compile" button
Commander Tom
QUOTE(AlexTZ @ Nov 8 2006, 11:07 AM) *
Installing the FastReport with TeeChart Pro

Run "recompile.exe" and perform the following steps:
1. Select Delphi version
2. Select FR edition
3. Select TeeChart version
4. Click "Browse" button and select path to your TeeChart Pro .dcu files
(typically C:\Program Files\Steema Software\TeeChart X for Delphi X\DelphiX\Lib)
5. Select "Change TeeChart version"
6. Click "Compile" button


When will FastReport Recompile with TeeChart 2010 (Internal: V9) be available ?
jbarker
This method doesn't seem to work with TChart Standard. Is there any way to make them play nicely together?

Edit:
Never mind, I managed to get it to work by editing the tee.inc file and the frxtee7.dpk package.

Edit2:
Scratch that, it works at design time, but programs won't compile. I'll keep investigating.

Edit3:
Got it to work. If anyone wants instructions on how to get FastReports 4 to work with TeeChartStandard 8.7, I can provide instructions.
Leandro Alff
When will FastReport Recompile with TeeChart 2010 be available ?
Edgar Vorland
Every time we update Delphi we seem to have the same problems with Fastreport 4 versus TeeChart Pro.
We do run the recompile wizard as described above, but we get problems.

F.ex. now we have upgraded to Delphi XE and Steema Tee Chart Pro 2010.

When we then run the recompile wizard we get the following errors:
fsTee15.dpk compiled
delphi15 error: frxTee15.dpk(42) Fatal: E2202 Required package 'TEE914' not found
frxTee15.dpk not compiled!
dclfsTee15.dpk compiled
delphi15 error: dclfrxTee15.dpk(34) Error: E2199 Packages 'TEE915' and 'TEE' both contain unit 'TeeAbout'

When we open DelphiXE we can not get the package "Fastreport 4.0 Tee Components" to install.
We get the following error message: (translated from norwegian):
@Teengine@TChartValueList@GetCount$qqrv the starting point for the procedure was not found in the library for dynamic connections, Tee9150.bpl
Can't load package C:\Programfiler\Fastreport 4\LibD15+dclfrxtee15.pbl

We get similar errors for Delphi 2007, 2009 and 2010 which all are installed on the same computer.
Edgar Vorland
Actually we solved this issue by editing the package frxTee15.dpk in Delphi XE and changed the following:
{$IFDEF TeeChart9} TEE914, TEEPRO915, {$ENDIF}

to
{$IFDEF TeeChart9} TEE915, TEEPRO915, {$ENDIF}

Then it works
gpi
Did you try to use latest FR 4.10.10?
jbarker
I've had to use the following manual steps to get TChartPro 2010 (and 2011) to work with Fast Report 4 in Delphi 7.

Open tee.inc
-> Uncomment {$DEFINE TeeChart9}
-> Save

Open FastScript\fsTee7.dpk, LibD7\frxTee7.dpk, LibD7\fsTee7.dpk & Source\frxTee7.dpk in a text editor
-> Remove all {$IFDEF TeeChart*} lines from the required list leaving just the {$IFDEF TeeChart9} line.
-> It seems the compiler doesn't care about defines in required packages and just tries to use them all anyway.

Open LibD7\frxChartEditor.pas
-> Change line 514 from
s := CreateNewSeriesGallery(nil, nil, FChart.Chart, False, False{$IFNDEF TeeChart4}{$IFDEF TeeChartPro}, ind{$ENDIF}{$ENDIF});
to
s := CreateNewSeriesGallery(nil, nil, FChart.Chart, False, False, ind);
-> Not sure what the issue here is, I guess the compiler can't figure out what the defines do.

Use the Recompile Wizard to recompile the whole lot.
moorem

hello, laugh.gif

Do the FR 4.10.10 is now the latest?
gpi
No. 4.11.6
RobertEdgar
Can anyone help with getting FR4 working with latest version of Teechart

i.e. TeeChart2011Delphi2010.exe
November 21, 2011
Build 2011.04.41118

with the latest version of FR4

i.e. fr4_12_d14p.exe Embarcadero RAD Studio (Delphi/C++Builder) 2010 2011-09-17

I have tried the recompile option but just get error messages stating cannot find Teechart914.

I can get FR4 to install IF I choose NOT TO USE TeeChart charts withing FR reports .. a feature that Fast Reports see as being so important that it appears on their FIRST screenshot of FR features.

If anyone from Fast Reports reads these forums can you expedite this for your users?

Many thanks mad.gif
onsolution
I have a new PC with a new XE2 install. Installed the 3 patches.

Installed TeeChart Pro, downloaded this week.

Installed FR4, downloaded this week.

Tried everything in this forum to get it to compile. Tried everything else I could find.

It is telling me "Required package 'TEE' not found when building dclfrxtee16.dpk.

But I could install frxtee16.dpk with no problems.
Warren Postma
Latest version is now TeeCharts 2012 and FastReports 4 does not YET support it.

Warren
gpi
Did you try to change TeeChart version with TeeChart9 option?
Minas
i have big problem trying to install FastReport4 and TeeChart Pro on Delphi XE3 Pro on Win7 64-bit.

- After installing Delphi XE3 pro, what to install first FastReport4 or TeeChart Pro ?
- What to do next, as Recompile does not work ?
- What packages to recompile manually ?

i do not need the most advanced features of FastReport. I need at first to install it correctly.

You must start from the beggining !

Thank you.

Minas
i open dclfstee17 and try to install
i get the error "required package 'TEE' not found
on fstee17

i open dclfrxtee17 and try to install
i get the error "required package 'TEE' not found
on frxTee17
bfrost
QUOTE(Minas @ Nov 15 2012, 05:43 PM) *
i have big problem trying to install FastReport4 and TeeChart Pro on Delphi XE3 Pro on Win7 64-bit.

- After installing Delphi XE3 pro, what to install first FastReport4 or TeeChart Pro ?
- What to do next, as Recompile does not work ?
- What packages to recompile manually ?

i do not need the most advanced features of FastReport. I need at first to install it correctly.

You must start from the beggining !

Thank you.

I have the same problem.
On XE2 (with Win7/64) I found that the correct procedure for installation FR4 with TeeChart Pro is:
1. Uninstall the Delphi FastReport version.
2. Install TeeChart with the installer.
3. Install FR4 (I have pro).
4. Run recompile using XE2 compiler pointing at "C:\Program Files (x86)\Steema Software\TeeChart 2012 for RAD XE2\Delphi16.win32\Lib" with 'Charnge TeeChart version'.
Compiled files are listed, they appear in the recompile.log and all is fine.

If I try this with XE3, it doesnt work. No files are compiled and there is no error shown, in fact the summary 'success' message is still displayed.

Can anyone help us?
bfrost
QUOTE(Minas @ Nov 15 2012, 05:43 PM) *
i have big problem trying to install FastReport4 and TeeChart Pro on Delphi XE3 Pro on Win7 64-bit.

- After installing Delphi XE3 pro, what to install first FastReport4 or TeeChart Pro ?
- What to do next, as Recompile does not work ?
- What packages to recompile manually ?

i do not need the most advanced features of FastReport. I need at first to install it correctly.

You must start from the beggining !

Thank you.


I have the same problem.
On XE2 (with Win7/64) I found that the correct procedure for installation FR4 with TeeChart Pro is:
1. Uninstall the Delphi FastReport version.
2. Install TeeChart with the installer.
3. Install FR4 (I have pro).
4. Run recompile using XE2 compiler pointing at "C:\Program Files (x86)\Steema Software\TeeChart 2012 for RAD XE2\Delphi16.win32\Lib" with 'Charnge TeeChart version'.
Compiled files are listed, they appear in the recompile.log and all is fine.

If I try this with XE3, it doesnt work. No files are compiled and there is no error shown, in fact the summary 'success' message is still displayed.

Can anyone help us?
Jarl Balgruuf the Greater
Hi there!

The recompile-Tool that shipped with Fast Report 4.13.2 does not seem to support XE5. XE4 is listed, but no XE5. Is there anything I'm doing wrong?

Many thanks in advance!
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2019 Invision Power Services, Inc.